<?php
/* -*- php -*- ****************************************************************
 *
 *  System        : 
 *  Module        : 
 *  Object Name   : $RCSfile$
 *  Revision      : $Revision$
 *  Date          : $Date$
 *  Author        : $Author$
 *  Created By    : Robert Heller
 *  Created       : Fri Oct 27 08:44:07 2017
 *  Last Modified : <171027.0847>
 *
 *  Description	
 *
 *  Notes
 *
 *  History
 *	
 ****************************************************************************
 *
 *    Copyright (C) 2017  Robert Heller D/B/A Deepwoods Software
 *			51 Locke Hill Road
 *			Wendell, MA 01379-9728
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * 
 *
 ****************************************************************************/

?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <h2><a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2><div id="heading"><small>By <?php the_author() ?>.  Filed in <?php the_category(', ') ?>&nbsp;<br /><?php the_tags(); ?></small></div><br clear="all">
  <div class="toppost">
    <a href="<?php  echo esc_url( home_url() ); ?>"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/home.gif" border="0" alt="TOP" title="Go back to <?php bloginfo('name'); ?>" /></a>&nbsp;
    <a href="http://del.icio.us/post?url=<?php echo get_permalink() ?>"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/delicious.png" title="del.icio.us this!" alt="del.icio.us" /></a>&nbsp;
    <a href="http://digg.com/submit?phase=2&amp;url=<?php echo get_permalink() ?>&amp;title=<?php print rawurlencode(the_title('', '', false)); ?>"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/digg.gif" title="DIGG this!" alt="digg" /></a>&nbsp;
    <a href="http://www.facebook.com/sharer.php?u=<?php echo get_permalink() ?>&amp;t=<?php print rawurlencode(the_title('', '', false)); ?>"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/facebook.png" title="Share this on facebook!" alt="facebook" /></a></div>
    <div class="entrytext">
      <?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
      <?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ',
                                'after' => '</p>',
                                'next_or_number' => 'number')); ?>
      <p class="postmetadata alt">
	<small>This entry was posted on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?> and is filed under <?php the_category(', ') ?>.
                <?php //file_put_contents("php://stderr","*** singlecontent.php: post->comment_status = $post->comment_status, post->ping_status = $post->ping_status\n"); ?>
                  <?php if ('open' == $post->comment_status) { 
                    ?>You can follow any responses to this entry through the <?php 
                      post_comments_feed_link(); ?> feed. <?php } ?>
		<?php if (('open' == $post->comment_status) && ('open' == $post->ping_status)) {
			// Both Comments and Pings are open ?>
			You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(true); ?>" rel="trackback">trackback</a> from your own site.
		<?php } else if (!('open' == $post->comment_status) && ('open' == $post->ping_status)) {
			// Only Pings are Open ?>
			You can <a href="<?php trackback_url(true); ?> " rel="trackback">trackback</a> from your own site.
		<?php } else if (('open' == $post->comment_status) && !('open' == $post->ping_status)) {
			// Comments are open, Pings are not ?>
			You can <a href="#respond">leave a response</a>. Pinging is currently not allowed.
		<?php } else if (!('open' == $post->comment_status) && !('open' == $post->ping_status)) {
			// Neither Comments, nor Pings are open
		      } ?></small></p>
      <?php comments_template(); ?>
    </div>
  <?php get_template_part( 'bottompost' ); /* bottompost.php */  ?>
</div>
<!-- ?php if ( comments_open() ) { comments_template(); } ? -->  
  
